The Get list of products method returns the list of products of the current reseller or any of its downstream resellers.
GET {base_url}/api/v3/customer_store/resellers/{reseller_id}/products
Arguments
Response model
|
Name |
Data type |
Description |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
|
data |
array of objects |
Response data |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
id |
integer |
Product ID |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
type |
string |
Data type |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
attributes |
object |
Product information |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
created_at |
date |
Date and time of the product creation |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
updated_at |
date |
Date and time when the product was updated |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
name |
string |
Product name |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
type |
string |
Product type |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
category |
object |
Information about the product category |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
data |
object |
Product category data (see
) |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
id |
integer |
Product category ID |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
type |
string |
Data type |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
attributes |
object |
Product category information |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
|
created_at |
date |
Date and time of the product category creation |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
|
updated_at |
date |
Date and time when the product category was updated |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
|
key |
string |
Product category key |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
|
name |
string |
Product category name |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
|
description |
string |
Description of the product category |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
|
priority |
integer |
Product category priority |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
|
logo |
string |
Link to the product category logo file |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
description |
string |
Description of the product |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
license-agreement |
string |
Link to the license agreement of the product |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
privacy-policy |
string |
Link to the privacy policy of the product |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
public |
bool |
Indication whether the product is available in Storefront:
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
priority |
integer |
Product priority (see
) |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
plans |
array of objects |
Information about the plans linked to the product |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
created_at |
date |
Date and time of the plan creation |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
updated_at |
date |
Date and time when the plan was updated |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
id |
integer |
Plan ID |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
status |
string |
Status of the plan (for the list of plans statuses, see
) |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
name |
string |
Name of the plan |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
description |
string |
Plan details description |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
sku |
string |
SKU of the plan |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
public |
bool |
Indication whether the plan is available for sale:
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
plan_class |
string |
Name of the service term (see
) |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
plan_class_id |
integer |
ID of the service term (see
) |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
billing_type |
string |
Billing type of the plan (see
) |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
singleton |
bool |
The Singleton option of the plan:
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
fixed_price |
bool |
The Fixed price option of the plan:
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
auto_renewal |
bool |
Indicates the status of the Auto-renew option of the plan:
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
currency |
object |
Information about the currency used for displaying the plan fees. Defined by the |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
precision |
integer |
Number of decimal places for currency subunits (for example, for cents, the precision is 2). |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
unit |
string |
Displayed name for the currency units |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
separator |
string |
Decimal separator |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
delimiter |
string |
Separator for groups of thousands |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
format |
string |
Format — display order of units and amount:
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
iso_code |
string |
Currency code ISO 4217 alpha-3 |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
resources |
array of objects |
Resources of the plan |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
created_at |
date |
Date and time of the resource creation |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
updated_at |
date |
Date and time when the resource was updated |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
id |
integer |
ID of the resource in the plan |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
name |
string |
Name the resource |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
key |
string |
Key the resource |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
unit_of_measure |
string |
Unit of measure of the resource:
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
status |
string |
Status of the resource:
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
included |
integer |
Amount of the resource included in the plan by default (included resources are part of the subscription price) |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
minimum |
integer |
Minimum amount of the resource (together with the included amount) available for ordering (see
) |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
limit |
integer |
Maximum amount of the resource available for ordering. For an unlimited resource ( |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
public |
bool |
Availability of the resource:
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
unlimited |
bool |
Attribute of the unlimited resource:
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
fees |
object |
Information about fees of the resource |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
|
setup |
float |
Setup fee of the resource |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
|
overuse |
float |
Overuse fee of the resource |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
|
recurring |
float |
Monthly recurring fee of the resource |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
|
renewal |
float |
Renewal fee of the resource |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
periods |
array of objects |
Plan periods |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
created_at |
date |
Date and time of the plan period creation |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
updated_at |
date |
Date and time when the plan period was updated |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
id |
integer |
ID of the plan period |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
endless |
bool |
Indicator of the endless plan period:
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
trial |
bool |
Plan period type:
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
public |
bool |
Availability of the plan period:
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
status |
string |
Status of the plan period:
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
description |
string |
Plan period details description |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
durations |
object |
Plan period duration |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
|
value |
integer |
Duration of the plan period. For an endless plan period, |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
|
type |
string |
Unit of measure of the plan period duration. For an endless plan period, |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
fees |
object |
Information about fees of the plan period |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
|
setup |
float |
Setup fee of the plan for the plan period |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
|
recurring |
float |
Monthly recurring fee of the plan for the plan period |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
|
transfer |
float |
Transfer fee of a domain for the plan period. The transfer fee is applied if domains are available as a resource in the service |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
|
renewal |
float |
Renewal fee of the plan for the plan period |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
support |
object |
Information about technical support of the product |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
phone |
string |
Phone number of technical support |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
string |
Email of technical support |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
url |
string |
Link to the service desk of the product |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
details |
string |
Detailed information about technical support |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
market |
object |
Marketing information about the product for Storefront (see the Marketing tab in
) |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
created_at |
date |
Date and time of the marketing information creation |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
updated_at |
date |
Date and time when the marketing information was updated |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
name |
string |
Product name |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
description |
string |
Product description |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
brief_description |
string |
Brief product description |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
screenshots |
array of objects |
Information about screenshots of the product |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
title |
string |
Screenshot title |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
url |
string |
Link to the screenshot |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
video_url |
array of objects |
Information about videos of the product |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
title |
string |
Video title |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
url |
string |
Link to the video |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
documentation_url |
array of objects |
Information about documentation of the product |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
title |
string |
Document title |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
url |
string |
Link to the document |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
benefits |
array of objects |
Information about benefits of the product |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
title |
string |
Benefit title |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
description |
string |
Benefit description |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
image |
string |
Link to the product logo file |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
relationships |
object |
Related objects |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
vendor |
object |
Information about a related vendor |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
data |
object |
Information about a vendor |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
id |
string |
Vendor ID |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
type |
string |
Data type |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
product_line |
object |
Information about a related product line |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
data |
object |
Information about a product line |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
id |
string |
Product line ID |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
|
|
type |
string |
Data type |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
included |
array of objects |
Additional information about the objects listed in the request:
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
links |
object |
Page navigation links that use the defined page navigation parameters |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
self |
string |
Current page link |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
first |
string |
First page link |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
prev |
string |
Previous page link |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
next |
string |
Next page link |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
last |
string |
Last page link |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
meta |
object |
Additional response data |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
currency |
string |
Reseller currency code ISO 4217 alpha-3 |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
pages |
object |
Information about the response pages |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
current |
integer |
Current page number |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
prev |
integer |
Previous page number |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
has_prev |
bool |
Indicator of the previous page:
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
next |
integer |
Next page number |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
has_next |
bool |
Indicator of the next page:
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|
|
total |
integer |
Total number of pages |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Request example
GET /api/v3/customer_store/resellers/1/products?per_page=2&filters[public]=false&sorting[field]=updated_at&sorting[reversed]=true
Host: https://test.activeplatform.com
Content-Type: application/vnd.api+json
X-Api-Token: vY5fwetestK3gJXZH5uHCw
Accept: application/vnd.api+json
Response example
{
"data": [
{
"id": "878",
"type": "products",
"attributes": {
"created_at": "2020-06-17T13:59:15.810+03:00",
"updated_at": "2020-09-23T15:07:17.734+03:00",
"name": "G Suite for migration",
"type": "saas",
"category": {
"data": {
"id": "190",
"type": "product_categories",
"attributes": {
"created_at": "2017-09-14T16:27:16.566+03:00",
"updated_at": "2020-03-11T10:46:45.422+03:00",
"key": "default",
"name": "default",
"description": "",
"priority": 0,
"logo": null
}
}
},
"description": "",
"license_agreement": null,
"privacy_policy": null,
"public": true,
"priority": 0,
"plans": [
{
"created_at": "2020-06-17T13:59:16.031+03:00",
"updated_at": "2020-06-17T13:59:16.409+03:00",
"id": 1863,
"status": "active",
"name": "G Suite Basic",
"description": "G Suite Basic",
"sku": null,
"public": false,
"plan_class": "gsuitemigration",
"plan_class_id": 13078,
"billing_type": "csp_monthly",
"singleton": false,
"fixed_price": false,
"auto_renewal": false,
"currency": {
"precision": 2,
"unit": "€",
"separator": ".",
"delimiter": " ",
"format": "%n %u",
"iso_code": "EUR"
},
"resources": [
{
"created_at": "2020-06-17T13:59:16.108+03:00",
"updated_at": "2020-06-17T13:59:16.108+03:00",
"id": 4742,
"name": "User",
"key": null,
"unit_of_measure": "unit",
"status": "active",
"included": 0,
"minimum": 1,
"limit": 750,
"public": true,
"unlimited": false,
"fees": {
"setup": "0.0",
"overuse": "0.0",
"recurring": "2.65",
"renewal": "0.0"
}
},
{
"created_at": "2020-06-17T13:59:16.154+03:00",
"updated_at": "2020-06-17T13:59:16.154+03:00",
"id": 4744,
"name": "Google Drive storage Upgrade 8TB",
"key": null,
"unit_of_measure": "unit",
"status": "active",
"included": 0,
"minimum": 0,
"limit": 750,
"public": true,
"unlimited": false,
"fees": {
"setup": "0.0",
"overuse": "0.0",
"recurring": "9.6",
"renewal": "0.0"
}
},
{
"created_at": "2020-06-17T13:59:16.326+03:00",
"updated_at": "2020-06-17T13:59:16.326+03:00",
"id": 4752,
"name": "Google Vault",
"key": null,
"unit_of_measure": "unit",
"status": "active",
"included": 0,
"minimum": 0,
"limit": 750,
"public": true,
"unlimited": false,
"fees": {
"setup": "0.0",
"overuse": "0.0",
"recurring": "6.2",
"renewal": "0.0"
}
}
],
"periods": [
{
"created_at": "2020-06-17T13:59:16.360+03:00",
"updated_at": "2020-06-17T13:59:16.360+03:00",
"id": 3278,
"endless": false,
"trial": false,
"public": true,
"status": "active",
"description": null,
"durations": {
"value": 1,
"type": "year"
},
"fees": {
"setup": "0.0",
"recurring": "0.0",
"transfer": "0.0",
"renewal": "0.0"
}
}
]
},
{
"created_at": "2020-06-17T13:59:16.418+03:00",
"updated_at": "2020-06-17T13:59:16.880+03:00",
"id": 1864,
"status": "active",
"name": "G Suite Basic",
"description": "G Suite Basic",
"sku": null,
"public": false,
"plan_class": "gsuitemigration",
"plan_class_id": 13078,
"billing_type": "csp_monthly",
"singleton": false,
"fixed_price": false,
"auto_renewal": false,
"currency": {
"precision": 2,
"unit": "€",
"separator": ".",
"delimiter": " ",
"format": "%n %u",
"iso_code": "EUR"
},
"resources": [
{
"created_at": "2020-06-17T13:59:16.820+03:00",
"updated_at": "2020-06-17T13:59:16.820+03:00",
"id": 4763,
"name": "User",
"key": null,
"unit_of_measure": "unit",
"status": "active",
"included": 0,
"minimum": 1,
"limit": 750,
"public": true,
"unlimited": false,
"fees": {
"setup": "0.0",
"overuse": "0.0",
"recurring": "6.2",
"renewal": "0.0"
}
},
{
"created_at": "2020-06-17T13:59:16.472+03:00",
"updated_at": "2020-06-17T13:59:16.472+03:00",
"id": 4754,
"name": "Google Drive storage Upgrade 8TB",
"key": null,
"unit_of_measure": "unit",
"status": "active",
"included": 0,
"minimum": 0,
"limit": 750,
"public": true,
"unlimited": false,
"fees": {
"setup": "0.0",
"overuse": "0.0",
"recurring": "9.6",
"renewal": "0.0"
}
},
{
"created_at": "2020-06-17T13:59:16.800+03:00",
"updated_at": "2020-06-17T13:59:16.800+03:00",
"id": 4762,
"name": "Google Vault",
"key": null,
"unit_of_measure": "unit",
"status": "active",
"included": 0,
"minimum": 0,
"limit": 750,
"public": true,
"unlimited": false,
"fees": {
"setup": "0.0",
"overuse": "0.0",
"recurring": "6.2",
"renewal": "0.0"
}
}
],
"periods": [
{
"created_at": "2020-06-17T13:59:16.857+03:00",
"updated_at": "2020-06-17T13:59:16.857+03:00",
"id": 3280,
"endless": false,
"trial": false,
"public": true,
"status": "active",
"description": null,
"durations": {
"value": 1,
"type": "month"
},
"fees": {
"setup": "0.0",
"recurring": "0.0",
"transfer": "0.0",
"renewal": "0.0"
}
},
{
"created_at": "2020-06-17T13:59:16.838+03:00",
"updated_at": "2020-06-17T13:59:16.838+03:00",
"id": 3279,
"endless": true,
"trial": false,
"public": true,
"status": "active",
"description": null,
"durations": {
"value": null,
"type": null
},
"fees": {
"setup": "0.0",
"recurring": "0.0",
"transfer": "0.0",
"renewal": "0.0"
}
}
]
}
],
"support": {
"phone": "",
"email": "",
"url": "",
"details": ""
},
"market": {
"created_at": "2020-06-17T13:59:16.939+03:00",
"updated_at": "2021-04-08T10:43:58.165+03:00",
"name": "G Suite migration",
"description": "Gmail, Google Hangouts",
"brief_description": "Gmail, Google Hangouts",
"screenshots": [],
"video_url": [],
"documentation_url": [
{
"title": "",
"url": "https://docs.activeplatform.com/"
}
],
"benefits": [],
"image": null
}
},
"relationships": {
"vendor": {
"data": {
"id": "15",
"type": "vendors"
}
},
"product_line": {
"data": {
"id": "6",
"type": "product_lines"
}
}
}
},
{
"id": "843",
"type": "products",
"attributes": {
"created_at": "2020-03-12T16:27:35.321+03:00",
"updated_at": "2020-03-12T16:27:35.321+03:00",
"name": "VMware",
"type": "iaas",
"category": {
"data": {
"id": "190",
"type": "product_categories",
"attributes": {
"created_at": "2017-09-14T16:27:16.566+03:00",
"updated_at": "2020-03-11T10:46:45.422+03:00",
"key": "default",
"name": "default",
"description": "",
"priority": 0,
"logo": null
}
}
},
"description": null,
"license_agreement": null,
"privacy_policy": null,
"public": true,
"priority": 0,
"plans": [
{
"created_at": "2020-03-12T16:27:35.572+03:00",
"updated_at": "2020-03-12T16:27:35.975+03:00",
"id": 1785,
"status": "active",
"name": "VCD22222",
"description": "",
"sku": null,
"public": false,
"plan_class": "11111",
"plan_class_id": 12785,
"billing_type": "reservation",
"singleton": false,
"fixed_price": true,
"auto_renewal": false,
"currency": {
"precision": 2,
"unit": "€",
"separator": ".",
"delimiter": " ",
"format": "%n %u",
"iso_code": "EUR"
},
"resources": [
{
"created_at": "2020-03-12T16:27:35.799+03:00",
"updated_at": "2020-03-12T16:27:35.799+03:00",
"id": 4555,
"name": "vCPU",
"key": null,
"unit_of_measure": "unit",
"status": "active",
"included": 2,
"minimum": 2,
"limit": 128,
"public": true,
"unlimited": false,
"fees": {
"setup": "0.0",
"overuse": "0.0",
"recurring": "9.0",
"renewal": "0.0"
}
},
{
"created_at": "2020-03-12T16:27:35.831+03:00",
"updated_at": "2020-03-12T16:27:35.831+03:00",
"id": 4556,
"name": "vRAM",
"key": null,
"unit_of_measure": "unit",
"status": "active",
"included": 4,
"minimum": 4,
"limit": 2048,
"public": true,
"unlimited": false,
"fees": {
"setup": "0.0",
"overuse": "0.0",
"recurring": "5.0",
"renewal": "0.0"
}
}
],
"periods": [
{
"created_at": "2020-03-12T16:27:35.921+03:00",
"updated_at": "2020-03-12T16:27:35.921+03:00",
"id": 3114,
"endless": false,
"trial": false,
"public": true,
"status": "active",
"description": null,
"durations": {
"value": 1,
"type": "month"
},
"fees": {
"setup": "0.0",
"recurring": "0.0",
"transfer": "0.0",
"renewal": "0.0"
}
},
{
"created_at": "2020-03-12T16:27:35.960+03:00",
"updated_at": "2020-03-12T16:27:35.960+03:00",
"id": 3115,
"endless": false,
"trial": true,
"public": true,
"status": "active",
"description": null,
"durations": {
"value": 1,
"type": "month"
},
"fees": {
"setup": "0.0",
"recurring": "0.0",
"transfer": "0.0",
"renewal": "0.0"
}
}
]
}
],
"support": {
"phone": "+1(555) 555-5555",
"email": "info@example.com",
"url": "",
"details": ""
},
"market": {
"created_at": "2020-03-12T16:27:36.044+03:00",
"updated_at": "2020-03-12T16:27:36.044+03:00",
"name": "VMware",
"description": "",
"brief_description": "VMware",
"screenshots": [],
"video_url": [],
"documentation_url": [],
"benefits": [],
"image": null
}
},
"relationships": {
"vendor": {
"data": {
"id": "15",
"type": "vendors"
}
},
"product_line": {
"data": {
"id": "7",
"type": "product_lines"
}
}
}
}
],
"links": {
"self": "https://test.activeplatform.com/api/v3/customer_store/resellers/1/products?filters%5Bpublic%5D=false&page%5Bnumber%5D=1&page%5Bsize%5D=2&per_page=2&sorting%5Bfield%5D=updated_at&sorting%5Breversed%5D=true",
"first": "https://test.activeplatform.com/api/v3/customer_store/resellers/1/products?filters%5Bpublic%5D=false&page%5Bnumber%5D=1&page%5Bsize%5D=2&per_page=2&sorting%5Bfield%5D=updated_at&sorting%5Breversed%5D=true",
"prev": null,
"next": "https://test.activeplatform.com/api/v3/customer_store/resellers/1/products?filters%5Bpublic%5D=false&page%5Bnumber%5D=2&page%5Bsize%5D=2&per_page=2&sorting%5Bfield%5D=updated_at&sorting%5Breversed%5D=true",
"last": "https://test.activeplatform.com/api/v3/customer_store/resellers/1/products?filters%5Bpublic%5D=false&page%5Bnumber%5D=26&page%5Bsize%5D=2&per_page=2&sorting%5Bfield%5D=updated_at&sorting%5Breversed%5D=true"
},
"meta": {
"currency": "USD",
"pages": {
"current": 1,
"prev": 0,
"has_prev": false,
"next": 2,
"has_next": true,
"total": 26
}
}
}